@use 'a11y--sr-only' as a11y;
@use '../functions/forwards' as *;

@mixin digi--util() {

  .digi--util--fs--xs {
    font-size: var(--digi--global--typography--font-size--small) !important;
  }

  .digi--util--fs--s {
    font-size: calc(var(--digi--global--typography--font-size--small) + 1px) !important;
  }

  .digi--util--fs--m {
    font-size: var(--digi--global--typography--font-size--base) !important;
  }

  .digi--util--fs--l {
    font-size: var(--digi--global--typography--font-size--large) !important;
  }

  .digi--util--fw--sb {
    font-weight: var(--digi--global--typography--font-weight--semibold) !important;
  }

  .digi--util--pt--1 {
    padding-top: var(--digi--global--spacing--smallest-2) !important;
  }

  .digi--util--pt--10 {
    padding-top: var(--digi--global--spacing--smallest) !important;
  }

  .digi--util--pt--20 {
    padding-top: var(--digi--global--spacing--base) !important;
  }

  .digi--util--pt--30 {
    padding-top: var(--digi--global--spacing--largest-2) !important;
  }

  .digi--util--pt--40 {
    padding-top: var(--digi--global--spacing--largest-4) !important;
  }

  .digi--util--pt--50 {
    padding-top: #{rem(40)} !important;
  }

  .digi--util--pt--60 {
    padding-top: var(--digi--global--spacing--largest-5) !important;
  }

  .digi--util--pt--70 {
    padding-top: var(--digi--global--spacing--largest-6) !important;
  }

  .digi--util--pt--80 {
    padding-top: #{rem(72)} !important;
  }

  .digi--util--pt--90 {
    padding-top: #{rem(80)} !important;
  }

  .digi--util--pb--1 {
    padding-bottom: var(--digi--global--spacing--smallest-2) !important;
  }

  .digi--util--pb--10 {
    padding-bottom: var(--digi--global--spacing--smallest) !important;
  }

  .digi--util--pb--20 {
    padding-bottom: var(--digi--global--spacing--base) !important;
  }

  .digi--util--pb--30 {
    padding-bottom: var(--digi--global--spacing--largest-2) !important;
  }

  .digi--util--pb--40 {
    padding-bottom: var(--digi--global--spacing--largest-4) !important;
  }

  .digi--util--pb--50 {
    padding-bottom: #{rem(40)} !important;
  }

  .digi--util--pb--60 {
    padding-bottom: var(--digi--global--spacing--largest-5) !important;
  }

  .digi--util--pb--70 {
    padding-bottom: var(--digi--global--spacing--largest-6) !important;
  }

  .digi--util--pb--80 {
    padding-bottom: #{rem(72)} !important;
  }

  .digi--util--pb--90 {
    padding-bottom: #{rem(80)} !important;
  }

  .digi--util--p--1 {
    padding: var(--digi--global--spacing--smallest-2) !important;
  }

  .digi--util--p--10 {
    padding: var(--digi--global--spacing--smallest) !important;
  }

  .digi--util--p--20 {
    padding: var(--digi--global--spacing--base) !important;
  }

  .digi--util--p--30 {
    padding: var(--digi--global--spacing--largest-2) !important;
  }

  .digi--util--p--40 {
    padding: var(--digi--global--spacing--largest-4) !important;
  }

  .digi--util--p--50 {
    padding: #{rem(40)} !important;
  }

  .digi--util--p--60 {
    padding: var(--digi--global--spacing--largest-5) !important;
  }

  .digi--util--p--70 {
    padding: var(--digi--global--spacing--largest-6) !important;
  }

  .digi--util--p--80 {
    padding: #{rem(72)} !important;
  }

  .digi--util--p--90 {
    padding: #{rem(80)} !important;
  }

  .digi--util--ptb--1 {
    padding-top: var(--digi--global--spacing--smallest-2) !important;
    padding-bottom: var(--digi--global--spacing--smallest-2) !important;
  }

  .digi--util--ptb--10 {
    padding-top: var(--digi--global--spacing--smallest) !important;
    padding-bottom: var(--digi--global--spacing--smallest) !important;
  }

  .digi--util--ptb--20 {
    padding-top: var(--digi--global--spacing--base) !important;
    padding-bottom: var(--digi--global--spacing--base) !important;
  }

  .digi--util--ptb--30 {
    padding-top: var(--digi--global--spacing--largest-2) !important;
    padding-bottom: var(--digi--global--spacing--largest-2) !important;
  }

  .digi--util--ptb--40 {
    padding-top: var(--digi--global--spacing--largest-4) !important;
    padding-bottom: var(--digi--global--spacing--largest-4) !important;
  }

  .digi--util--ptb--50 {
    padding-top: #{rem(40)} !important;
    padding-bottom: #{rem(40)} !important;
  }

  .digi--util--ptb--60 {
    padding-top: var(--digi--global--spacing--largest-5) !important;
    padding-bottom: var(--digi--global--spacing--largest-5) !important;
  }

  .digi--util--ptb--70 {
    padding-top: var(--digi--global--spacing--largest-6) !important;
    padding-bottom: var(--digi--global--spacing--largest-6) !important;
  }

  .digi--util--ptb--80 {
    padding-top: #{rem(72)} !important;
    padding-bottom: #{rem(72)} !important;
  }

  .digi--util--ptb--90 {
    padding-top: #{rem(80)} !important;
    padding-bottom: #{rem(80)} !important;
  }

  .digi--util--plr--1 {
    padding-left: var(--digi--global--spacing--smallest-2) !important;
    padding-right: var(--digi--global--spacing--smallest-2) !important;
  }

  .digi--util--plr--10 {
    padding-left: var(--digi--global--spacing--smallest) !important;
    padding-right: var(--digi--global--spacing--smallest) !important;
  }

  .digi--util--plr--20 {
    padding-left: var(--digi--global--spacing--base) !important;
    padding-right: var(--digi--global--spacing--base) !important;
  }

  .digi--util--plr--30 {
    padding-left: var(--digi--global--spacing--largest-2) !important;
    padding-right: var(--digi--global--spacing--largest-2) !important;
  }

  .digi--util--plr--40 {
    padding-left: var(--digi--global--spacing--largest-4) !important;
    padding-right: var(--digi--global--spacing--largest-4) !important;
  }

  .digi--util--plr--50 {
    padding-left: #{rem(40)} !important;
    padding-right: #{rem(40)} !important;
  }

  .digi--util--plr--60 {
    padding-left: var(--digi--global--spacing--largest-5) !important;
    padding-right: var(--digi--global--spacing--largest-5) !important;
  }

  .digi--util--plr--70 {
    padding-left: var(--digi--global--spacing--largest-6) !important;
    padding-right: var(--digi--global--spacing--largest-6) !important;
  }

  .digi--util--plr--80 {
    padding-left: #{rem(72)} !important;
    padding-right: #{rem(72)} !important;
  }

  .digi--util--plr--90 {
    padding-left: #{rem(80)} !important;
    padding-right: #{rem(80)} !important;
  }

  .digi--util--sr-only {
    @include a11y.digi--a11y--sr-only;
  }

  .digi--util--hidden {
    display: none;
  }
}
